/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { WebGLContext } from '../../mol-gl/webgl/context';
import { Texture } from '../../mol-gl/webgl/texture';
import { TextureSpec, UniformSpec, Values } from '../../mol-gl/renderable/schema';
import { ComputeRenderable } from '../../mol-gl/renderable';
declare const CopySchema: {
    tColor: TextureSpec<"texture">;
    uTexSize: UniformSpec<"v2">;
    drawCount: import("../../mol-gl/renderable/schema").ValueSpec<"number">;
    instanceCount: import("../../mol-gl/renderable/schema").ValueSpec<"number">;
    aPosition: import("../../mol-gl/renderable/schema").AttributeSpec<"float32">;
    uQuadScale: UniformSpec<"v2">;
};
export declare type CopyRenderable = ComputeRenderable<Values<typeof CopySchema>>;
export declare function getCopyRenderable(ctx: WebGLContext, colorTexture: Texture): CopyRenderable;
export {};
